import psTreeModule from 'ps-tree';
import { ProcessOutput, ProcessPromise } from './core.js';
export declare const psTree: (arg1: number) => Promise<readonly psTreeModule.PS[]>;
export declare function noop(): void;
export declare function randomId(): string;
export declare function isString(obj: any): boolean;
export declare function quote(arg: string): string;
export declare function substitute(arg: ProcessPromise | any): any;
export declare function stringify(arg: ProcessOutput | any): string;
export declare function exitCodeInfo(exitCode: number | null): string | undefined;
export declare type Duration = number | `${number}s` | `${number}ms`;
export declare function parseDuration(d: Duration): number;
export declare function formatCmd(cmd?: string): string;
